# Namespace: faker

## faker

### Namespaces

address
commerce
company
date
finance
hacker
helpers
image
internet
lorem
name
phone
random
system

### Methods

#### <static> fake(str)

  Generator method for combining faker methods based on string input

  Example:

      console.log(faker.fake('{{name.lastName}}, {{name.firstName}} {{name.suffix}}'));
      //outputs: "Marks, Dean Sr."

  This will interpolate the format string with the value of methods name.lastName, name.firstName, and name.suffix

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `str` | string |

#### Search results